de.dhbwstuttgart.typeinference

## Class ConstraintType

- java.lang.Object
- - de.dhbwstuttgart.typeinference.ConstraintType

-     public class ConstraintType
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Type` | `t`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstraintType(GenericTypeVar t)`
    `ConstraintType(RefType t)`
    `ConstraintType(TypePlaceholder t)`
    `ConstraintType(WildcardType t)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Type` | `getType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### t

          private Type t

  - ### Constructor Detail

    - #### ConstraintType

          public ConstraintType(TypePlaceholder t)

    - #### ConstraintType

          public ConstraintType(GenericTypeVar t)

    - #### ConstraintType

          public ConstraintType(RefType t)

    - #### ConstraintType

          public ConstraintType(WildcardType t)

  - ### Method Detail

    - #### getType

          public Type getType()